Subject: Re: [PATCH] rebase: apply and cleanup autostash when rebase fails to start

From: Junio C Hamano <[email-masked]>
Date: Sun, 08 Sep 2024 14:54:20 -0700

Phillip Wood <[email-masked]> writes:

> ... This code is just doing what we do at
> the end of a successful rebase so I'm don't really understand what the
> issue is. Looking at finish_rebase() we don't even check the return
> value of apply_autostash() when applying the stash at the end of a
> successful rebase.

At that point we give control back the user, so if things are left
in conflicted or any other "unexpected" funny state, the user kill
keep the both halves.  As long as the user clearly understands why
the working tree is in such a funny state, we should be OK (and I
would imagine that we are giving messages like "applying preexisting
changes stashed away before rebasing" or something).

Thanks.